Ruby: ext/openssl/ossl_asn1.h File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Functions | Variables
ossl_asn1.h File Reference

Go to the source code of this file.

## Functions
VALUE | asn1time_to_time (const ASN1_TIME *)
void | ossl_time_split (VALUE, time_t *, int *)
VALUE | asn1str_to_str (const ASN1_STRING *)
VALUE | asn1integer_to_num (const ASN1_INTEGER *)
ASN1_INTEGER * | num_to_asn1integer (VALUE, ASN1_INTEGER *)
ASN1_TYPE * | ossl_asn1_get_asn1type (VALUE)
void | Init_ossl_asn1 (void)

## Variables
VALUE | mASN1
VALUE | eASN1Error
VALUE | cASN1Data
VALUE | cASN1Primitive
VALUE | cASN1Constructive
VALUE | cASN1Boolean
VALUE | cASN1Integer
VALUE | cASN1Enumerated
VALUE | cASN1BitString
VALUE | cASN1OctetString
VALUE | cASN1UTF8String
VALUE | cASN1NumericString
VALUE | cASN1PrintableString
VALUE | cASN1T61String
VALUE | cASN1VideotexString
VALUE | cASN1IA5String
VALUE | cASN1GraphicString
VALUE | cASN1ISO64String
VALUE | cASN1GeneralString
VALUE | cASN1UniversalString
VALUE | cASN1BMPString
VALUE | cASN1Null
VALUE | cASN1ObjectId
VALUE | cASN1UTCTime
VALUE | cASN1GeneralizedTime
VALUE | cASN1Sequence
VALUE | cASN1Set

## Function Documentation

## ◆ asn1integer_to_num()

VALUE asn1integer_to_num | ( | const ASN1_INTEGER * | ai | ) |

Definition at line 101 of file ossl_asn1.c.

References eOSSLError, NULL, num, ossl_bn_new(), ossl_raise(), and rb_eTypeError.

## ◆ asn1str_to_str()

VALUE asn1str_to_str | ( | const ASN1_STRING * | str | ) |

Definition at line 92 of file ossl_asn1.c.

References rb_str_new, and str.

## ◆ asn1time_to_time()

VALUE asn1time_to_time | ( | const ASN1_TIME * | time | ) |

Definition at line 20 of file ossl_asn1.c.

References argv, count, INT2NUM, ossl_raise(), Qnil, rb_cTime, rb_eTypeError, rb_funcall2, rb_intern(), and rb_warning().

## ◆ Init_ossl_asn1()

void Init_ossl_asn1 | ( | void |  | ) |

Definition at line 1385 of file ossl_asn1.c.

References cASN1BitString, cASN1BMPString, cASN1Boolean, cASN1Constructive, cASN1Data, cASN1EndOfContent, cASN1Enumerated, cASN1GeneralizedTime, cASN1GeneralString, cASN1GraphicString, cASN1IA5String, cASN1Integer, cASN1ISO64String, cASN1Null, cASN1NumericString, cASN1ObjectId, cASN1OctetString, cASN1Primitive, cASN1PrintableString, cASN1Sequence, cASN1Set, cASN1T61String, cASN1UniversalString, cASN1UTCTime, cASN1UTF8String, cASN1VideotexString, eASN1Error, eOSSLError, ID2SYM, id_each, INT2NUM, mASN1, mOSSL, name, OSSL_ASN1_DEFINE_CLASS, ossl_asn1_info_size, Qtrue, rb_ary_new(), rb_ary_store(), rb_attr(), rb_cObject, rb_define_alias(), rb_define_class_under(), rb_define_const(), rb_define_method, rb_define_module(), rb_define_module_function, rb_define_module_under(), rb_define_singleton_method, rb_eStandardError, rb_gc_register_mark_object(), rb_hash_aset(), rb_hash_new(), rb_include_module(), rb_intern(), rb_mEnumerable, rb_str_new2, and rb_undef_method().

Referenced by Init_openssl().

## ◆ num_to_asn1integer()

ASN1_INTEGER * num_to_asn1integer | ( | VALUE | obj,
|  | ASN1_INTEGER * | ai
| ) |  |

Definition at line 124 of file ossl_asn1.c.

References eOSSLError, GetBNPtr, NIL_P, NULL, ossl_raise(), and rb_eTypeError.

## ◆ ossl_asn1_get_asn1type()

ASN1_TYPE * ossl_asn1_get_asn1type | ( | VALUE | obj | ) |

Definition at line 495 of file ossl_asn1.c.

References eASN1Error, NULL, NUM2INT, ossl_asn1_get_value, ossl_raise(), ptr, and rb_attr_get().

## ◆ ossl_time_split()

void ossl_time_split | ( | VALUE | time,
|  | time_t * | sec,
|  | int * | days
| ) |  |

Definition at line 73 of file ossl_asn1.c.

References FIX2LONG, FIXNUM_P, INT2FIX, num, NUM2INT, rb_funcall(), rb_Integer(), rb_intern(), rb_long2int, and t.

Referenced by ossl_x509_time_adjust().

## Variable Documentation

## ◆ cASN1BitString

VALUE cASN1BitString
| extern

Definition at line 165 of file ossl_asn1.c.

Referenced by Init_ossl_asn1().

## ◆ cASN1BMPString

VALUE cASN1BMPString

Definition at line 52 of file ossl_asn1.h.

## ◆ cASN1Boolean

VALUE cASN1Boolean
| extern

Definition at line 163 of file ossl_asn1.c.

Referenced by Init_ossl_asn1().

## ◆ cASN1Constructive

VALUE cASN1Constructive
| extern

Definition at line 160 of file ossl_asn1.c.

Referenced by Init_ossl_asn1().

## ◆ cASN1Data

VALUE cASN1Data
| extern

Definition at line 158 of file ossl_asn1.c.

Referenced by Init_ossl_asn1().

## ◆ cASN1Enumerated

VALUE cASN1Enumerated

Definition at line 45 of file ossl_asn1.h.

## ◆ cASN1GeneralizedTime

VALUE cASN1GeneralizedTime

Definition at line 55 of file ossl_asn1.h.

## ◆ cASN1GeneralString

VALUE cASN1GeneralString

Definition at line 51 of file ossl_asn1.h.

## ◆ cASN1GraphicString

VALUE cASN1GraphicString

Definition at line 50 of file ossl_asn1.h.

## ◆ cASN1IA5String

VALUE cASN1IA5String
| extern

Definition at line 169 of file ossl_asn1.c.

Referenced by Init_ossl_asn1().

## ◆ cASN1Integer

VALUE cASN1Integer
| extern

Definition at line 164 of file ossl_asn1.c.

Referenced by Init_ossl_asn1().

## ◆ cASN1ISO64String

VALUE cASN1ISO64String
| extern

Definition at line 170 of file ossl_asn1.c.

Referenced by Init_ossl_asn1().

## ◆ cASN1Null

VALUE cASN1Null
| extern

Definition at line 172 of file ossl_asn1.c.

Referenced by Init_ossl_asn1().

## ◆ cASN1NumericString

VALUE cASN1NumericString
| extern

Definition at line 167 of file ossl_asn1.c.

Referenced by Init_ossl_asn1().

## ◆ cASN1ObjectId

VALUE cASN1ObjectId
| extern

Definition at line 173 of file ossl_asn1.c.

Referenced by Init_ossl_asn1().

## ◆ cASN1OctetString

VALUE cASN1OctetString
| extern

Definition at line 166 of file ossl_asn1.c.

Referenced by Init_ossl_asn1().

## ◆ cASN1Primitive

VALUE cASN1Primitive
| extern

Definition at line 159 of file ossl_asn1.c.

Referenced by Init_ossl_asn1().

## ◆ cASN1PrintableString

VALUE cASN1PrintableString

Definition at line 48 of file ossl_asn1.h.

## ◆ cASN1Sequence

VALUE cASN1Sequence
| extern

Definition at line 175 of file ossl_asn1.c.

Referenced by Init_ossl_asn1().

## ◆ cASN1Set

VALUE cASN1Set

Definition at line 56 of file ossl_asn1.h.

## ◆ cASN1T61String

VALUE cASN1T61String
| extern

Definition at line 168 of file ossl_asn1.c.

Referenced by Init_ossl_asn1().

## ◆ cASN1UniversalString

VALUE cASN1UniversalString
| extern

Definition at line 171 of file ossl_asn1.c.

Referenced by Init_ossl_asn1().

## ◆ cASN1UTCTime

VALUE cASN1UTCTime
| extern

Definition at line 174 of file ossl_asn1.c.

Referenced by Init_ossl_asn1().

## ◆ cASN1UTF8String

VALUE cASN1UTF8String

Definition at line 47 of file ossl_asn1.h.

## ◆ cASN1VideotexString

VALUE cASN1VideotexString

Definition at line 49 of file ossl_asn1.h.

## ◆ eASN1Error

VALUE eASN1Error
| extern

Definition at line 156 of file ossl_asn1.c.

Referenced by Init_ossl_asn1(), and ossl_asn1_get_asn1type().

## ◆ mASN1

VALUE mASN1
| extern

Definition at line 155 of file ossl_asn1.c.

Referenced by Init_ossl_asn1().